Index: data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel
===================================================================
--- data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11119)
+++ data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11120)
@@ -553,29 +556,49 @@
         <NamedArea name="ItemRenderingAreaHVScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" offset="-16" type="RightEdge" />
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" offset="-16" type="BottomEdge" />
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/StaticFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="WindowsLook/StaticFrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-16" scale="1" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-16" scale="1" type="BottomEdge" />
                 </Dim>
             </Area>
         </NamedArea>
-        <Child  type="WindowsLook/HorizontalScrollbar" nameSuffix="__auto_hscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" offset="-16" type="Width" /></Dim>
-                <Dim type="Height" ><AbsoluteDim value="16" /></Dim>
+        <Child nameSuffix="__auto_hscrollbar__" type="WindowsLook/HorizontalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim offset="-16" scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <AbsoluteDim value="16" />
+                </Dim>
             </Area>
             <VertAlignment type="BottomAligned" />
         </Child>
-        <Child  type="WindowsLook/VerticalScrollbar" nameSuffix="__auto_vscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><AbsoluteDim value="16" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" offset="-16" type="Height" /></Dim>
+        <Child nameSuffix="__auto_vscrollbar__" type="WindowsLook/VerticalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <AbsoluteDim value="16" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim offset="-16" scale="1" type="Height" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
@@ -584,18 +607,26 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="StaticFrameTopLeft" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="StaticFrameTopRight" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="StaticFrameBottomLeft" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="StaticFrameBottomRight" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="StaticFrameLeft" />
-                <Image type="RightEdge" imageset="WindowsLook" image="StaticFrameRight" />
-                <Image type="TopEdge" imageset="WindowsLook" image="StaticFrameTop" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="StaticFrameBottom" />
-                <Image type="Background" imageset="WindowsLook" image="Background" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="WindowsLook/StaticFrameTopLeft" />
+                <Image component="TopRightCorner" name="WindowsLook/StaticFrameTopRight" />
+                <Image component="BottomLeftCorner" name="WindowsLook/StaticFrameBottomLeft" />
+                <Image component="BottomRightCorner" name="WindowsLook/StaticFrameBottomRight" />
+                <Image component="LeftEdge" name="WindowsLook/StaticFrameLeft" />
+                <Image component="RightEdge" name="WindowsLook/StaticFrameRight" />
+                <Image component="TopEdge" name="WindowsLook/StaticFrameTop" />
+                <Image component="BottomEdge" name="WindowsLook/StaticFrameBottom" />
+                <Image component="Background" name="WindowsLook/Background" />
             </FrameComponent>
         </ImagerySection>
@@ -611,97 +642,104 @@
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/Combobox
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/Combobox">
-        <PropertyLinkDefinition name="NormalEditTextColour" widget="__auto_editbox__" targetProperty="NormalTextColour" initialValue="FF000000" />
-        <PropertyLinkDefinition name="SelectedEditTextColour" widget="__auto_editbox__" targetProperty="SelectedTextColour" initialValue="FFFFFFFF" />
-        <PropertyLinkDefinition name="ActiveEditSelectionColour" widget="__auto_editbox__" targetProperty="ActiveSelectionColour" initialValue="FF607FFF" />
-        <PropertyLinkDefinition name="InactiveEditSelectionColour" widget="__auto_editbox__" targetProperty="InactiveSelectionColour" initialValue="FF808080" />
-        <Child  type="WindowsLook/Editbox" nameSuffix="__auto_editbox__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="EditFrameTop" dimension="Height">
-                                <DimOperator op="Add">
-                                    <ImageDim imageset="WindowsLook" image="EditFrameBottom" dimension="Height">
-                                        <DimOperator op="Add">
-                                            <FontDim type="LineSpacing">
-                                                <DimOperator op="Multiply">
-                                                    <AbsoluteDim value="1.5" />
-                                                </DimOperator>
-                                            </FontDim>
-                                        </DimOperator>
-                                    </ImageDim>
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="Height" >
-                    <ImageDim imageset="WindowsLook" image="EditFrameTop" dimension="Height">
-                        <DimOperator op="Add">
-                            <ImageDim imageset="WindowsLook" image="EditFrameBottom" dimension="Height">
-                                <DimOperator op="Add">
-                                    <FontDim type="LineSpacing">
-                                        <DimOperator op="Multiply">
-                                            <AbsoluteDim value="1.5" />
-                                        </DimOperator>
-                                    </FontDim>
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </ImageDim>
+        <PropertyLinkDefinition initialValue="FF000000" name="NormalEditTextColour" targetProperty="NormalTextColour" widget="__auto_editbox__" />
+        <PropertyLinkDefinition initialValue="FFFFFFFF" name="SelectedEditTextColour" targetProperty="SelectedTextColour" widget="__auto_editbox__" />
+        <PropertyLinkDefinition initialValue="FF607FFF" name="ActiveEditSelectionColour" targetProperty="ActiveSelectionColour" widget="__auto_editbox__" />
+        <PropertyLinkDefinition initialValue="FF808080" name="InactiveEditSelectionColour" targetProperty="InactiveSelectionColour" widget="__auto_editbox__" />
+        <Child nameSuffix="__auto_editbox__" type="WindowsLook/Editbox">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <OperatorDim op="Add">
+                            <ImageDim dimension="Height" name="WindowsLook/EditFrameTop" />
+                            <OperatorDim op="Add">
+                                <ImageDim dimension="Height" name="WindowsLook/EditFrameBottom" />
+                                <OperatorDim op="Multiply">
+                                    <FontDim type="LineSpacing" />
+                                    <AbsoluteDim value="1.5" />
+                                </OperatorDim>
+                            </OperatorDim>
+                        </OperatorDim>
+                    </OperatorDim>
+                </Dim>
+                <Dim type="Height">
+                    <OperatorDim op="Add">
+                        <ImageDim dimension="Height" name="WindowsLook/EditFrameTop" />
+                        <OperatorDim op="Add">
+                            <ImageDim dimension="Height" name="WindowsLook/EditFrameBottom" />
+                            <OperatorDim op="Multiply">
+                                <FontDim type="LineSpacing" />
+                                <AbsoluteDim value="1.5" />
+                            </OperatorDim>
+                        </OperatorDim>
+                    </OperatorDim>
                 </Dim>
             </Area>
         </Child>
-        <Child  type="WindowsLook/ComboDropList" nameSuffix="__auto_droplist__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><WidgetDim widget="__auto_editbox__" dimension="BottomEdge" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="BottomEdge" ><UnifiedDim scale="1" type="BottomEdge" /></Dim>
+        <Child nameSuffix="__auto_droplist__" type="WindowsLook/ComboDropList">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <WidgetDim dimension="BottomEdge" widget="__auto_editbox__" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim scale="1" type="BottomEdge" />
+                </Dim>
             </Area>
         </Child>
-        <Child  type="WindowsLook/IconButton" nameSuffix="__auto_button__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><WidgetDim widget="__auto_editbox__" dimension="Height" /></Dim>
-                <Dim type="Height" ><WidgetDim widget="__auto_editbox__" dimension="Height" /></Dim>
+        <Child nameSuffix="__auto_button__" type="WindowsLook/IconButton">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <WidgetDim dimension="Height" widget="__auto_editbox__" />
+                </Dim>
+                <Dim type="Height">
+                    <WidgetDim dimension="Height" widget="__auto_editbox__" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
-            <Property name="IconImage" value="set:WindowsLook image:LargeDownArrow" />
+            <Property name="IconImage" value="WindowsLook/LargeDownArrow" />
         </Child>
         <StateImagery name="Enabled" />
         <StateImagery name="Disabled" />
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/Editbox
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/Editbox">
-        <PropertyDefinition name="ReadOnlyBGColour" initialValue="FFDFDFDF" redrawOnWrite="true" />
-        <PropertyDefinition name="NormalTextColour" initialValue="FF000000" redrawOnWrite="true" />
-        <PropertyDefinition name="SelectedTextColour" initialValue="FFFFFFFF" redrawOnWrite="true" />
-        <PropertyDefinition name="ActiveSelectionColour" initialValue="FF607FFF" redrawOnWrite="true" />
-        <PropertyDefinition name="InactiveSelectionColour" initialValue="FF808080" redrawOnWrite="true" />
-        <Property name="MouseCursorImage" value="set:WindowsLook image:MouseTextBar" />
+        <PropertyDefinition initialValue="FFDFDFDF" name="ReadOnlyBGColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF000000" name="NormalTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFFFFFFF" name="SelectedTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF607FFF" name="ActiveSelectionColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF808080" name="InactiveSelectionColour" redrawOnWrite="true" />
+        <Property name="MouseCursorImage" value="WindowsLook/MouseTextBar" />
         <NamedArea name="TextArea">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="5" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="5" /></Dim>
-                <Dim type="RightEdge" ><UnifiedDim scale="1.0" offset="-5" type="RightEdge" /></Dim>
-                <Dim type="BottomEdge" ><UnifiedDim scale="1.0" offset="-5" type="BottomEdge" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="5" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="5" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-5" scale="1.0" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-5" scale="1.0" type="BottomEdge" />
+                </Dim>
             </Area>
         </NamedArea>
@@ -709,18 +747,26 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="EditFrameTopLeft" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="EditFrameTopRight" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="EditFrameBottomLeft" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="EditFrameBottomRight" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="EditFrameLeft" />
-                <Image type="TopEdge" imageset="WindowsLook" image="EditFrameTop" />
-                <Image type="RightEdge" imageset="WindowsLook" image="EditFrameRight" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="EditFrameBottom" />
-                <Image type="Background" imageset="WindowsLook" image="Background" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="WindowsLook/EditFrameTopLeft" />
+                <Image component="TopRightCorner" name="WindowsLook/EditFrameTopRight" />
+                <Image component="BottomLeftCorner" name="WindowsLook/EditFrameBottomLeft" />
+                <Image component="BottomRightCorner" name="WindowsLook/EditFrameBottomRight" />
+                <Image component="LeftEdge" name="WindowsLook/EditFrameLeft" />
+                <Image component="TopEdge" name="WindowsLook/EditFrameTop" />
+                <Image component="RightEdge" name="WindowsLook/EditFrameRight" />
+                <Image component="BottomEdge" name="WindowsLook/EditFrameBottom" />
+                <Image component="Background" name="WindowsLook/Background" />
             </FrameComponent>
         </ImagerySection>
@@ -728,23 +774,39 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge" /></Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="Background" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1.0" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/Background" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
             </ImageryComponent>
         </ImagerySection>
-        <ImagerySection name="Carat">
+        <ImagerySection name="Caret">
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><ImageDim imageset="WindowsLook" image="EditBoxCarat" dimension="Width" /></Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="EditBoxCarat" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <ImageDim dimension="Width" name="WindowsLook/EditBoxCarat" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/EditBoxCarat" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -785,40 +847,31 @@
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/FrameWindow
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/FrameWindow">
-        <PropertyLinkDefinition name="CaptionColour" widget="__auto_titlebar__" targetProperty="CaptionColour" initialValue="FF000000" />
-        <PropertyLinkDefinition name="TitlebarFont" widget="__auto_titlebar__" targetProperty="Font" />
-        <Property name="NSSizingCursorImage" value="set:WindowsLook image:MouseNoSoCursor" />
-        <Property name="EWSizingCursorImage" value="set:WindowsLook image:MouseEsWeCursor" />
-        <Property name="NWSESizingCursorImage" value="set:WindowsLook image:MouseNwSeCursor" />
-        <Property name="NESWSizingCursorImage" value="set:WindowsLook image:MouseNeSwCursor" />
-        <Property name="UnifiedMinSize" value="{{0.1,0},{0.1,0}}" />
+        <PropertyLinkDefinition initialValue="FF000000" name="CaptionColour" targetProperty="CaptionColour" widget="__auto_titlebar__" />
+        <PropertyLinkDefinition name="TitlebarFont" targetProperty="Font" widget="__auto_titlebar__" />
+        <Property name="NSSizingCursorImage" value="WindowsLook/MouseNoSoCursor" />
+        <Property name="EWSizingCursorImage" value="WindowsLook/MouseEsWeCursor" />
+        <Property name="NWSESizingCursorImage" value="WindowsLook/MouseNwSeCursor" />
+        <Property name="NESWSizingCursorImage" value="WindowsLook/MouseNeSwCursor" />
+        <Property name="MinSize" value="{{0.1,0},{0.1,0}}" />
         <NamedArea name="ClientWithTitleWithFrame">
             <Area>
                 <Dim type="LeftEdge">
-                    <ImageDim imageset="WindowsLook" image="WindowFrameLeft" dimension="Width" />
-                </Dim>
-                <Dim type="TopEdge">
-                    <WidgetDim widget="__auto_titlebar__" dimension="BottomEdge" />
+                    <ImageDim dimension="Width" name="WindowsLook/WindowFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <WidgetDim dimension="BottomEdge" widget="__auto_titlebar__" />
                 </Dim>
                 <Dim type="RightEdge">
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="WindowFrameRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="WindowsLook/WindowFrameRight" />
+                    </OperatorDim>
                 </Dim>
                 <Dim type="BottomEdge">
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="WindowFrameBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="WindowsLook/WindowFrameBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -830,5 +883,5 @@
                 </Dim>
                 <Dim type="TopEdge">
-                    <WidgetDim widget="__auto_titlebar__" dimension="BottomEdge" />
+                    <WidgetDim dimension="BottomEdge" widget="__auto_titlebar__" />
                 </Dim>
                 <Dim type="RightEdge">
@@ -843,22 +896,20 @@
             <Area>
                 <Dim type="LeftEdge">
-                    <ImageDim imageset="WindowsLook" image="WindowFrameLeft" dimension="Width" />
-                </Dim>
-                <Dim type="TopEdge">
-                    <ImageDim imageset="WindowsLook" image="WindowFrameTop" dimension="Height" />
+                    <ImageDim dimension="Width" name="WindowsLook/WindowFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="WindowsLook/WindowFrameTop" />
                 </Dim>
                 <Dim type="RightEdge">
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="WindowFrameRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="WindowsLook/WindowFrameRight" />
+                    </OperatorDim>
                 </Dim>
                 <Dim type="BottomEdge">
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="WindowFrameBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="WindowsLook/WindowFrameBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -880,5 +931,5 @@
             </Area>
         </NamedArea>
-        <Child type="WindowsLook/Titlebar" nameSuffix="__auto_titlebar__">
+        <Child nameSuffix="__auto_titlebar__" type="WindowsLook/Titlebar">
             <Area>
                 <Dim type="LeftEdge">
